GH-GIST-DELETE(1)

NAME
gh-gist-delete - Delete a gist

SYNOPSIS
gh gist delete {<id> | <url>} [flags]

DESCRIPTION
Delete a GitHub gist.

To delete a gist interactively, use gh gist delete with no arguments.

To delete a gist non-interactively, supply the gist id or url.

OPTIONS

--yes
    confirm deletion without prompting

EXIT CODES
0: Successful execution

1: Error

2: Command canceled

4: Authentication required

NOTE: Specific commands may have additional exit codes. Refer to the command's help for more information.

EXAMPLE
    # delete a gist interactively
    gh gist delete
    # delete a gist non-interactively
    gh gist delete 1234

SEE ALSO
gh-gist(1)